<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CLabelsIdent
{
    /**
     * @var string
     */
    private $labels;

    /**
     * @var string
     */
    private $ident;

    public function getLabels(): string
    {
        return $this->labels;
    }

    public function withLabels(string $labels): CLabelsIdent
    {
        $new = clone $this;
        $new->labels = $labels;

        return $new;
    }

    public function getIdent(): string
    {
        return $this->ident;
    }

    public function withIdent(string $ident): CLabelsIdent
    {
        $new = clone $this;
        $new->ident = $ident;

        return $new;
    }
}
